# Copyright (C) 1996,1997 Robert H”hne, see COPYING.RH for details 
# This file is part of RHIDE. 
# This file is automatically generated by RHIDE Version 1.4
# created with the command:
# ../gpr2mak.exe -d -r- -o - libtvdem.gpr
ifeq ($(strip $(RHIDESRC)),)
RHIDESRC=s:/rhide
endif
vpath_src=$(RHIDESRC)/tvdemo
vpath %.c $(vpath_src)
vpath %.cc $(vpath_src)
vpath %.cpp $(vpath_src)
vpath %.C $(vpath_src)
vpath %.cxx $(vpath_src)
vpath %.s $(vpath_src)
vpath %.S $(vpath_src)
vpath %.p $(vpath_src)
vpath %.pas $(vpath_src)
vpath %.f $(vpath_src)
vpath %.for $(vpath_src)
vpath %.F $(vpath_src)
vpath %.fpp $(vpath_src)
vpath %.i $(vpath_src)
vpath %.ii $(vpath_src)
vpath %.m $(vpath_src)
vpath %.asm $(vpath_src)
vpath %.nsm $(vpath_src)
RHIDE_GCC=gcc
RHIDE_AS=gcc
RHIDE_GXX=gcc
RHIDE_GPC=gpc
RHIDE_AR=ar
RHIDE_LD=gcc
RHIDE_G77=g77
RHIDE_NASM=nasm
RHIDE_LD_PASCAL=gpc
RHIDE_GNATBIND=gnatbind
RHIDE_RM=rm
RHIDE_ARFLAGS=rcs
RHIDE_TYPED_LIBS.f=m f2c
RHIDE_TYPED_LIBS.for=$(RHIDE_TYPED_LIBS.f)
RHIDE_TYPED_LIBS.F=$(RHIDE_TYPED_LIBS.f)
RHIDE_TYPED_LIBS.fpp=$(RHIDE_TYPED_LIBS.f)
RHIDE_TYPED_LIBS.p=m gpc
RHIDE_TYPED_LIBS.pas=$(RHIDE_TYPED_LIBS.p)
RHIDE_TYPED_LIBS_DJGPP.cc=stdcx
RHIDE_TYPED_LIBS_Linux.cc=stdc++
RHIDE_TYPED_LIBS.cc=$(RHIDE_TYPED_LIBS_$(RHIDE_OS).cc)
RHIDE_TYPED_LIBS.cpp=$(RHIDE_TYPED_LIBS.cc)
RHIDE_TYPED_LIBS.cxx=$(RHIDE_TYPED_LIBS.cc)
RHIDE_TYPED_LIBS.C=$(RHIDE_TYPED_LIBS.cc)
RHIDE_TYPED_LIBS.ii=$(RHIDE_TYPED_LIBS.cc)
RHIDE_TYPED_LIBS.l=fl
RHIDE_TYPED_LIBS.m=objc
RHIDE_TYPED_LIBS.adb=gnat
RHIDE_TYPED_LIBS=$(foreach suff,$(sort $(suffix\
	$(PROJECT_ITEMS))),$(RHIDE_TYPED_LIBS$(suff)))
RHIDE_INCLUDES=$(SPECIAL_CFLAGS) $(addprefix -I,$(INCLUDE_DIRS))
RHIDE_LIBDIRS=$(addprefix -L,$(LIB_DIRS))
RHIDE_LIBS=$(addprefix -l,$(LIBS) $(RHIDE_TYPED_LIBS) $(RHIDE_OS_LIBS))
RHIDE_LDFLAGS=$(SPECIAL_LDFLAGS) $(addprefix -Xlinker ,$(LD_EXTRA_FLAGS))
RHIDE_NASM_TARGET_DJGPP=coff
RHIDE_NASM_TARGET_Linux=elf
RHIDE_NASM_TARGET=$(RHIDE_NASM_TARGET_$(RHIDE_OS))
RHIDE_COMPILE_NASM=$(RHIDE_NASM) -f $(RHIDE_NASM_TARGET) $(LOCAL_OPT) -o\
	$(OUTFILE)  $(SOURCE_NAME)
RHIDE_COMPILE_FORTRAN=$(RHIDE_G77) $(RHIDE_INCLUDES) $(C_DEBUG_FLAGS)\
	$(C_OPT_FLAGS)  $(C_WARN_FLAGS) $(C_F_LANG_FLAGS) $(C_EXTRA_FLAGS)\
	$(LOCAL_OPT)  -c $(SOURCE_NAME) -o $(OUTFILE)
RHIDE_COMPILE_FORTRAN_FORCE=$(RHIDE_G77) $(RHIDE_INCLUDES) $(C_DEBUG_FLAGS)\
	$(C_OPT_FLAGS)  $(C_WARN_FLAGS) $(C_F_LANG_FLAGS) $(C_EXTRA_FLAGS)\
	-x f77 $(LOCAL_OPT)  -c $(SOURCE_NAME) -o $(OUTFILE)
RHIDE_COMPILE_C=$(RHIDE_GCC) $(RHIDE_INCLUDES) $(C_DEBUG_FLAGS)\
	$(C_OPT_FLAGS)  $(C_WARN_FLAGS) $(C_C_LANG_FLAGS) $(C_EXTRA_FLAGS)\
	$(LOCAL_OPT)  $(CPPFLAGS) $(CFLAGS) $(RHIDE_OS_CFLAGS) -c\
	$(SOURCE_NAME) -o $(OUTFILE)
RHIDE_COMPILE_C_FORCE=$(RHIDE_GCC) $(RHIDE_INCLUDES) $(C_DEBUG_FLAGS)\
	$(C_OPT_FLAGS)  $(C_WARN_FLAGS) $(C_C_LANG_FLAGS) $(C_EXTRA_FLAGS)\
	-x c $(LOCAL_OPT)  $(CPPFLAGS) $(CFLAGS) $(RHIDE_OS_CFLAGS) -c\
	$(SOURCE_NAME) -o $(OUTFILE)
RHIDE_COMPILE_CC=$(RHIDE_GXX) $(RHIDE_INCLUDES) $(C_DEBUG_FLAGS)\
	$(C_OPT_FLAGS)  $(C_WARN_FLAGS) $(C_C_LANG_FLAGS)\
	$(C_CXX_LANG_FLAGS) $(C_EXTRA_FLAGS)  $(CPPFLAGS) $(CXXFLAGS)\
	$(RHIDE_OS_CXXFLAGS) $(LOCAL_OPT)   -c $(SOURCE_NAME) -o $(OUTFILE)
RHIDE_COMPILE_CC_FORCE=$(RHIDE_GXX) $(RHIDE_INCLUDES) $(C_DEBUG_FLAGS)\
	$(C_OPT_FLAGS)  $(C_WARN_FLAGS) $(C_C_LANG_FLAGS)\
	$(C_CXX_LANG_FLAGS) $(C_EXTRA_FLAGS)  $(CPPFLAGS) $(CXXFLAGS)\
	$(RHIDE_OS_CXXFLAGS) -x c++ $(LOCAL_OPT)   -c $(SOURCE_NAME) -o\
	$(OUTFILE)
RHIDE_COMPILE_ASM=$(RHIDE_AS) $(RHIDE_INCLUDES) $(C_DEBUG_FLAGS)\
	$(C_OPT_FLAGS)  $(C_WARN_FLAGS) $(C_EXTRA_FLAGS) $(LOCAL_OPT)  -c\
	$(SOURCE_NAME) -o $(OUTFILE)
RHIDE_COMPILE_ASM_FORCE=$(RHIDE_AS) $(RHIDE_INCLUDES) $(C_DEBUG_FLAGS)\
	$(C_OPT_FLAGS)  $(C_WARN_FLAGS) $(C_EXTRA_FLAGS) -x assembler\
	$(LOCAL_OPT)  -c $(SOURCE_NAME) -o $(OUTFILE)
RHIDE_GPC_FLAGS=$(RHIDE_INCLUDES) $(C_DEBUG_FLAGS) $(C_OPT_FLAGS)\
	$(C_WARN_FLAGS)  $(C_P_LANG_FLAGS) $(C_EXTRA_FLAGS)
RHIDE_COMPILE_PASCAL=$(RHIDE_GPC) $(RHIDE_GPC_FLAGS) $(LOCAL_OPT)  -c\
	$(SOURCE_NAME) -o $(OUTFILE)
RHIDE_COMPILE_PASCAL_FORCE=$(RHIDE_GPC) $(RHIDE_GPC_FLAGS) -x pascal\
	$(LOCAL_OPT)  -c $(SOURCE_NAME) -o $(OUTFILE)
RHIDE_COMPILE_LINK=$(RHIDE_LD) $(RHIDE_LIBDIRS) $(C_EXTRA_FLAGS)\
	$(RHIDE_LDFLAGS) -o $(OUTFILE)  $(LDFLAGS) $(OBJFILES) $(LIBRARIES)\
	$(RHIDE_LIBS)
RHIDE_COMPILE_LINK_PASCAL=$(RHIDE_LD_PASCAL) $(RHIDE_LIBDIRS)\
	$(C_EXTRA_FLAGS) $(RHIDE_LDFLAGS)  -o $(OUTFILE) $(LDFLAGS)\
	$(OBJFILES) $(LIBRARIES) $(RHIDE_LIBS)
RHIDE_COMPILE_LINK_PASCAL_AUTOMAKE=$(RHIDE_LD_PASCAL) $(RHIDE_LIBDIRS)\
	$(RHIDE_LDFLAGS)  -o $(OUTFILE) --automake="$(strip\
	$(RHIDE_GPC_FLAGS))" $(RHIDE_GPC_FLAGS)  $(SOURCE_NAME) $(LDFLAGS)\
	$(LIBRARIES) $(RHIDE_LIBS)
RHIDE_COMPILE_ARCHIVE=$(RHIDE_AR) $(RHIDE_ARFLAGS) $(OUTFILE) $(OBJFILES)
RHIDE_COMPILE_ADA=$(RHIDE_GCC) $(RHIDE_INCLUDES) $(C_DEBUG_FLAGS)\
	$(C_OPT_FLAGS)  $(C_WARN_FLAGS) $(C_C_LANG_FLAGS) $(C_EXTRA_FLAGS)\
	$(LOCAL_OPT)  $(C_ADA_LANG_FLAGS)  $(CPPFLAGS) $(CFLAGS)\
	$(RHIDE_OS_CFLAGS) -c $(SOURCE_NAME) -o $(OUTFILE)
RHIDE_ADA_BIND_FILE=$(addprefix _,$(setsuffix .c,$(OUTFILE)))
RHIDE_COMPILE_LINK_ADA_BIND=$(RHIDE_GNATBIND) -o $(RHIDE_ADA_BIND_FILE)\
	$(setsuffix .ali,$(OUTFILE))
RHIDE_COMPILE_LINK_ADA_LINK=$(RHIDE_LD) $(RHIDE_LIBDIRS) $(C_EXTRA_FLAGS)\
	$(RHIDE_LDFLAGS) -o $(OUTFILE)  $(LDFLAGS) $(RHIDE_ADA_BIND_FILE)\
	$(OBJFILES) $(LIBRARIES) $(RHIDE_LIBS)
_RHIDE_COMPILE_LINK_ADA=$(RHIDE_COMPILE_LINK_ADA_BIND);\
	$(RHIDE_COMPILE_LINK_ADA_LINK);   $(RHIDE_RM)\
	$(RHIDE_ADA_BIND_FILE)
RHIDE_COMPILE_LINK_ADA=gnatbl $(RHIDE_LIBDIRS) $(C_EXTRA_FLAGS)\
	$(RHIDE_LDFLAGS) -o $(OUTFILE)  $(LDFLAGS) $(setsuffix\
	.ali,$(OUTFILE)) $(LIBRARIES) $(RHIDE_LIBS)
RHIDE_COMPILE.c.o=$(RHIDE_COMPILE_C)
RHIDE_COMPILE.cc.o=$(RHIDE_COMPILE_CC)
RHIDE_COMPILE.p.o=$(RHIDE_COMPILE_PASCAL)
RHIDE_COMPILE.f.o=$(RHIDE_COMPILE_FORTRAN)
RHIDE_COMPILE.nsm.o=$(RHIDE_COMPILE_NASM)
RHIDE_COMPILE.s.o=$(RHIDE_COMPILE_ASM)
RHIDE_COMPILE.c.s=$(subst -c,-S,$(RHIDE_COMPILE_C))
RHIDE_COMPILE.c.i=$(subst -c,-E,$(RHIDE_COMPILE_C))
RHIDE_COMPILE.i.s=$(RHIDE_COMPILE.c.s)
RHIDE_COMPILE.cc.s=$(subst -c,-S,$(RHIDE_COMPILE_CC))
RHIDE_COMPILE.cc.ii=$(subst -c,-E,$(RHIDE_COMPILE_CC))
RHIDE_COMPILE.ii.s=$(RHIDE_COMPILE.cc.s)
RHIDE_COMPILE.cpp.o=$(RHIDE_COMPILE.cpp.o_$(temp_os))
RHIDE_COMPILE.cxx.o=$(RHIDE_COMPILE.cc.o)
RHIDE_COMPILE.C.o=$(RHIDE_COMPILE.cc.o)
RHIDE_COMPILE.pas.o=$(RHIDE_COMPILE.p.o)
RHIDE_COMPILE.for.o=$(RHIDE_COMPILE.f.o)
RHIDE_COMPILE.F.o=$(RHIDE_COMPILE.f.o)
RHIDE_COMPILE.fpp.o=$(RHIDE_COMPILE.f.o)
RHIDE_COMPILE.asm.o=$(RHIDE_COMPILE.nsm.o)
RHIDE_COMPILE.cpp.s=$(RHIDE_COMPILE.cc.s)
RHIDE_COMPILE.cxx.s=$(RHIDE_COMPILE.cc.s)
RHIDE_COMPILE.C.s=$(RHIDE_COMPILE.cc.s)
RHIDE_COMPILE.cpp.ii=$(RHIDE_COMPILE.cc.ii)
RHIDE_COMPILE.cxx.ii=$(RHIDE_COMPILE.cc.ii)
RHIDE_COMPILE.C.ii=$(RHIDE_COMPILE.cc.ii)
RHIDE_COMPILE.adb.o=$(RHIDE_COMPILE_ADA)
RHIDE_FSDB=fsdb $(OUTFILE) $(addprefix -p ,$(SRC_DIRS)) $(PROG_ARGS)
RHIDE_GDB=gdb $(OUTFILE) $(addprefix -d ,$(SRC_DIRS))
RHIDE_GREP=grep -n $(prompt arguments for GREP,$(WUC))
RHIDE_GPROF=gprof $(OUTFILE)
RHIDE_RLOG=$(wildcard $(rcs_fixed_name))
RHIDE_CO=$(shell co -q $(co_arg))
RHIDE_STANDARD_INCLUDES_DJGPP=$(addprefix $(DJDIR)/,include include/sys\
	lang/cxx lang/cxx/std)
RHIDE_STANDARD_INCLUDES_Linux=$(addprefix /usr/,include include/sys\
	include/g++ include/g++/std)
RHIDE_STANDARD_INCLUDES=$(RHIDE_STANDARD_INCLUDES_$(RHIDE_OS))
RHIDE_CONFIG_DIRS_DJGPP=. $(RHIDE_SHARE) $(HOME) $(DJDIR)/share/rhide
RHIDE_CONFIG_DIRS_Linux=. $(RHIDE_SHARE) $(HOME) /usr/local/share/rhide\
	/usr/share/rhide
RHIDE_CONFIG_DIRS=$(RHIDE_CONFIG_DIRS_$(RHIDE_OS))
rcs_suffix=,v
rcs_prefix=RCS/
rcs_basedir=$(dir $(rlog_arg))
rcs_basename=$(notdir $(rlog_arg))
rcs_name=$(rcs_basedir)$(rcs_prefix)$(rcs_basename)$(rcs_suffix)
comma_v_DJGPP_=,v
comma_v_DJGPP_N=,v
comma_v_DJGPP_n=,v
comma_v_DJGPP=$(comma_v_DJGPP_$(LFN))
rcs_fixed_name=$(subst $(comma_v_$(RHIDE_OS)),,$(rcs_name))
temp_source=$(TMPDIR)/$(notdir $(SOURCE_NAME))
temp_cpp=$(subst -o $(OUTFILE),-E -o $(temp_source),$(RHIDE_COMPILE_CC))
temp_cxx=$(subst -c $(SOURCE_NAME),-x c++-cpp-output -c\
	$(temp_source),$(RHIDE_COMPILE_CC))
temp_rm=rm -f $(RHIDE_TEMP_SOURCE)
temp_os_DJGPP=other_os
temp_os=$(subst $(temp_os_$(RHIDE_OS)),$(RHIDE_OS),other_os)
RHIDE_COMPILE.cpp.o_DJGPP=$(temp_cpp); $(temp_cxx); $(temp_rm)
RHIDE_COMPILE.cpp.o_other_os=$(RHIDE_COMPILE_CC)
RHIDE_STDINC_C_DJGPP=$(DJDIR)/include
RHIDE_STDINC_CXX_DJGPP=$(DJDIR)/lang/cxx
RHIDE_STDINC_GCC_DJGPP=$(DJDIR)/lib/gcc-lib
RHIDE_STDINC_C_Linux=/usr/include
RHIDE_STDINC_CXX_Linux=/usr/include/g++
RHIDE_STDINC_GCC_Linux=/usr/lib/gcc-lib
RHIDE_STDINC_C=$(RHIDE_STDINC_C_$(RHIDE_OS))
RHIDE_STDINC_CXX=$(RHIDE_STDINC_CXX_$(RHIDE_OS))
RHIDE_STDINC_GCC=$(RHIDE_STDINC_GCC_$(RHIDE_OS))
INCLUDE_DIRS=$(RHIDESRC)/tvdemo/include $(RHIDESRC)/tvision/include
LIB_DIRS=
C_DEBUG_FLAGS=-g
C_OPT_FLAGS=-O2
C_WARN_FLAGS=-Wall -Werror
C_C_LANG_FLAGS=
C_CXX_LANG_FLAGS=
C_P_LANG_FLAGS=
C_F_LANG_FLAGS=
C_ADA_LANG_FLAGS=
LIBS=
LD_EXTRA_FLAGS=
C_EXTRA_FLAGS=-DRHIDE
LOCAL_OPT=$(subst ___~~~___, ,$(subst $(notdir $<)___,,$(filter $(notdir\
	$<)___%,$(LOCAL_OPTIONS))))
OBJFILES=ascii.o calendar.o libtvdem.o mousedlg.o puzzle.o
LIBRARIES=
SOURCE_NAME=$<
OUTFILE=$@
SPECIAL_CFLAGS=
SPECIAL_LDFLAGS=
PROG_ARGS=
SRC_DIRS=$(RHIDESRC)/tvdemo
WUC=
EDITORS=
RHIDE_OS=$(RHIDE_OS_)
ifeq ($(strip $(RHIDE_OS)),)
ifneq ($(strip $(DJDIR)),)
RHIDE_OS_:=DJGPP
else
RHIDE_OS_:=$(shell uname)
endif
endif

MAIN_TARGET=libtvdem.a
PROJECT_ITEMS=ascii.cc calendar.cc libtvdem.cc mousedlg.cc puzzle.cc
%.o: %.c
	$(RHIDE_COMPILE.c.o)
%.o: %.i
	$(RHIDE_COMPILE_C)
%.o: %.cc
	$(RHIDE_COMPILE.cc.o)
%.o: %.cpp
	$(RHIDE_COMPILE.cpp.o)
%.o: %.cxx
	$(RHIDE_COMPILE.cxx.o)
%.o: %.C
	$(RHIDE_COMPILE.C.o)
%.o: %.ii
	$(RHIDE_COMPILE_CC)
%.o: %.s
	$(RHIDE_COMPILE.s.o)
%.o: %.S
	$(RHIDE_COMPILE_ASM)
%.s: %.c
	$(RHIDE_COMPILE.c.s)
%.s: %.i
	$(RHIDE_COMPILE.i.s)
%.s: %.cc
	$(RHIDE_COMPILE.cc.s)
%.s: %.cpp
	$(RHIDE_COMPILE.cpp.s)
%.s: %.cxx
	$(RHIDE_COMPILE.cxx.s)
%.s: %.C
	$(RHIDE_COMPILE.C.s)
%.o: %.pas
	$(RHIDE_COMPILE.pas.o)
%.o: %.p
	$(RHIDE_COMPILE.p.o)
%.o: %.m
	$(RHIDE_COMPILE_OBJC)
%.o: %.f
	$(RHIDE_COMPILE.f.o)
%.o: %.for
	$(RHIDE_COMPILE.for.o)
%.o: %.F
	$(RHIDE_COMPILE.F.o)
%.o: %.fpp
	$(RHIDE_COMPILE.fpp.o)
%.o: %.asm
	$(RHIDE_COMPILE.asm.o)
%.o: %.nsm
	$(RHIDE_COMPILE.nsm.o)
%.o: %.adb
	$(RHIDE_COMPILE.adb.o)
all:: libtvdem.a
DEPS_0=\
		ascii.o\
		calendar.o\
		libtvdem.o\
		mousedlg.o\
		puzzle.o
NO_LINK=
LINK_FILES=$(filter-out $(NO_LINK),$(DEPS_0))
libtvdem.a:: $(DEPS_0)
	$(RHIDE_COMPILE_ARCHIVE)
DEPS_1=ascii.cc\
		$(RHIDESRC)/tvdemo/ascii.cc\
		$(RHIDESRC)/tvdemo/include/ascii.h\
		$(RHIDESRC)/tvision/include/class/event.h\
		$(RHIDESRC)/tvision/include/class/group.h\
		$(RHIDESRC)/tvision/include/class/ipstream.h\
		$(RHIDESRC)/tvision/include/class/object.h\
		$(RHIDESRC)/tvision/include/class/opstream.h\
		$(RHIDESRC)/tvision/include/class/point.h\
		$(RHIDESRC)/tvision/include/class/pstream.h\
		$(RHIDESRC)/tvision/include/class/rect.h\
		$(RHIDESRC)/tvision/include/class/streambl.h\
		$(RHIDESRC)/tvision/include/class/strmblcl.h\
		$(RHIDESRC)/tvision/include/class/view.h\
		$(RHIDESRC)/tvision/include/class/window.h\
		$(RHIDESRC)/tvision/include/drawbuf.h\
		$(RHIDESRC)/tvision/include/intl.h\
		$(RHIDESRC)/tvision/include/objects.h\
		$(RHIDESRC)/tvision/include/stddlg.h\
		$(RHIDESRC)/tvision/include/system.h\
		$(RHIDESRC)/tvision/include/tkeys.h\
		$(RHIDESRC)/tvision/include/tobjstrm.h\
		$(RHIDESRC)/tvision/include/ttypes.h\
		$(RHIDESRC)/tvision/include/tv.h\
		$(RHIDESRC)/tvision/include/tvconfig.h\
		$(RHIDESRC)/tvision/include/tvobjs.h\
		$(RHIDESRC)/tvision/include/tvutil.h\
		$(RHIDESRC)/tvision/include/views.h
ascii.o:: $(DEPS_1)
	$(RHIDE_COMPILE.cc.o)
DEPS_2=calendar.cc\
		$(RHIDESRC)/tvdemo/calendar.cc\
		$(RHIDESRC)/tvdemo/include/calendar.h\
		$(RHIDESRC)/tvision/include/class/event.h\
		$(RHIDESRC)/tvision/include/class/group.h\
		$(RHIDESRC)/tvision/include/class/ipstream.h\
		$(RHIDESRC)/tvision/include/class/object.h\
		$(RHIDESRC)/tvision/include/class/opstream.h\
		$(RHIDESRC)/tvision/include/class/point.h\
		$(RHIDESRC)/tvision/include/class/pstream.h\
		$(RHIDESRC)/tvision/include/class/rect.h\
		$(RHIDESRC)/tvision/include/class/streambl.h\
		$(RHIDESRC)/tvision/include/class/strmblcl.h\
		$(RHIDESRC)/tvision/include/class/view.h\
		$(RHIDESRC)/tvision/include/class/window.h\
		$(RHIDESRC)/tvision/include/drawbuf.h\
		$(RHIDESRC)/tvision/include/intl.h\
		$(RHIDESRC)/tvision/include/objects.h\
		$(RHIDESRC)/tvision/include/stddlg.h\
		$(RHIDESRC)/tvision/include/system.h\
		$(RHIDESRC)/tvision/include/tkeys.h\
		$(RHIDESRC)/tvision/include/tobjstrm.h\
		$(RHIDESRC)/tvision/include/ttypes.h\
		$(RHIDESRC)/tvision/include/tv.h\
		$(RHIDESRC)/tvision/include/tvconfig.h\
		$(RHIDESRC)/tvision/include/tvobjs.h\
		$(RHIDESRC)/tvision/include/tvutil.h\
		$(RHIDESRC)/tvision/include/views.h
calendar.o:: $(DEPS_2)
	$(RHIDE_COMPILE.cc.o)
DEPS_3=libtvdem.cc\
		$(RHIDESRC)/tvdemo/include/ascii.h\
		$(RHIDESRC)/tvdemo/include/calendar.h\
		$(RHIDESRC)/tvdemo/include/libtvdem.h\
		$(RHIDESRC)/tvdemo/include/mousedlg.h\
		$(RHIDESRC)/tvdemo/include/puzzle.h\
		$(RHIDESRC)/tvdemo/libtvdem.cc\
		$(RHIDESRC)/tvision/include/app.h\
		$(RHIDESRC)/tvision/include/class/desktop.h\
		$(RHIDESRC)/tvision/include/class/dialog.h\
		$(RHIDESRC)/tvision/include/class/event.h\
		$(RHIDESRC)/tvision/include/class/eventqu.h\
		$(RHIDESRC)/tvision/include/class/group.h\
		$(RHIDESRC)/tvision/include/class/ipstream.h\
		$(RHIDESRC)/tvision/include/class/object.h\
		$(RHIDESRC)/tvision/include/class/opstream.h\
		$(RHIDESRC)/tvision/include/class/point.h\
		$(RHIDESRC)/tvision/include/class/program.h\
		$(RHIDESRC)/tvision/include/class/pstream.h\
		$(RHIDESRC)/tvision/include/class/rect.h\
		$(RHIDESRC)/tvision/include/class/streambl.h\
		$(RHIDESRC)/tvision/include/class/sttctext.h\
		$(RHIDESRC)/tvision/include/class/view.h\
		$(RHIDESRC)/tvision/include/class/window.h\
		$(RHIDESRC)/tvision/include/dialogs.h\
		$(RHIDESRC)/tvision/include/drawbuf.h\
		$(RHIDESRC)/tvision/include/intl.h\
		$(RHIDESRC)/tvision/include/objects.h\
		$(RHIDESRC)/tvision/include/stddlg.h\
		$(RHIDESRC)/tvision/include/system.h\
		$(RHIDESRC)/tvision/include/tobjstrm.h\
		$(RHIDESRC)/tvision/include/ttypes.h\
		$(RHIDESRC)/tvision/include/tv.h\
		$(RHIDESRC)/tvision/include/tvconfig.h\
		$(RHIDESRC)/tvision/include/tvobjs.h\
		$(RHIDESRC)/tvision/include/tvutil.h\
		$(RHIDESRC)/tvision/include/views.h
libtvdem.o:: $(DEPS_3)
	$(RHIDE_COMPILE.cc.o)
DEPS_4=mousedlg.cc\
		$(RHIDESRC)/tvdemo/include/mousedlg.h\
		$(RHIDESRC)/tvdemo/mousedlg.cc\
		$(RHIDESRC)/tvision/include/class/button.h\
		$(RHIDESRC)/tvision/include/class/checkbox.h\
		$(RHIDESRC)/tvision/include/class/cluster.h\
		$(RHIDESRC)/tvision/include/class/dialog.h\
		$(RHIDESRC)/tvision/include/class/event.h\
		$(RHIDESRC)/tvision/include/class/eventqu.h\
		$(RHIDESRC)/tvision/include/class/group.h\
		$(RHIDESRC)/tvision/include/class/ipstream.h\
		$(RHIDESRC)/tvision/include/class/label.h\
		$(RHIDESRC)/tvision/include/class/object.h\
		$(RHIDESRC)/tvision/include/class/opstream.h\
		$(RHIDESRC)/tvision/include/class/palette.h\
		$(RHIDESRC)/tvision/include/class/point.h\
		$(RHIDESRC)/tvision/include/class/pstream.h\
		$(RHIDESRC)/tvision/include/class/rect.h\
		$(RHIDESRC)/tvision/include/class/scrlbar.h\
		$(RHIDESRC)/tvision/include/class/sitem.h\
		$(RHIDESRC)/tvision/include/class/streambl.h\
		$(RHIDESRC)/tvision/include/class/sttctext.h\
		$(RHIDESRC)/tvision/include/class/view.h\
		$(RHIDESRC)/tvision/include/class/window.h\
		$(RHIDESRC)/tvision/include/dialogs.h\
		$(RHIDESRC)/tvision/include/drawbuf.h\
		$(RHIDESRC)/tvision/include/intl.h\
		$(RHIDESRC)/tvision/include/objects.h\
		$(RHIDESRC)/tvision/include/stddlg.h\
		$(RHIDESRC)/tvision/include/system.h\
		$(RHIDESRC)/tvision/include/tobjstrm.h\
		$(RHIDESRC)/tvision/include/ttypes.h\
		$(RHIDESRC)/tvision/include/tv.h\
		$(RHIDESRC)/tvision/include/tvconfig.h\
		$(RHIDESRC)/tvision/include/tvobjs.h\
		$(RHIDESRC)/tvision/include/tvutil.h\
		$(RHIDESRC)/tvision/include/views.h
mousedlg.o:: $(DEPS_4)
	$(RHIDE_COMPILE.cc.o)
DEPS_5=puzzle.cc\
		$(RHIDESRC)/tvdemo/include/puzzle.h\
		$(RHIDESRC)/tvdemo/puzzle.cc\
		$(RHIDESRC)/tvision/include/class/event.h\
		$(RHIDESRC)/tvision/include/class/group.h\
		$(RHIDESRC)/tvision/include/class/ipstream.h\
		$(RHIDESRC)/tvision/include/class/object.h\
		$(RHIDESRC)/tvision/include/class/opstream.h\
		$(RHIDESRC)/tvision/include/class/palette.h\
		$(RHIDESRC)/tvision/include/class/point.h\
		$(RHIDESRC)/tvision/include/class/pstream.h\
		$(RHIDESRC)/tvision/include/class/rect.h\
		$(RHIDESRC)/tvision/include/class/streambl.h\
		$(RHIDESRC)/tvision/include/class/strmblcl.h\
		$(RHIDESRC)/tvision/include/class/view.h\
		$(RHIDESRC)/tvision/include/class/window.h\
		$(RHIDESRC)/tvision/include/drawbuf.h\
		$(RHIDESRC)/tvision/include/intl.h\
		$(RHIDESRC)/tvision/include/objects.h\
		$(RHIDESRC)/tvision/include/stddlg.h\
		$(RHIDESRC)/tvision/include/system.h\
		$(RHIDESRC)/tvision/include/tkeys.h\
		$(RHIDESRC)/tvision/include/tobjstrm.h\
		$(RHIDESRC)/tvision/include/ttypes.h\
		$(RHIDESRC)/tvision/include/tv.h\
		$(RHIDESRC)/tvision/include/tvconfig.h\
		$(RHIDESRC)/tvision/include/tvobjs.h\
		$(RHIDESRC)/tvision/include/tvutil.h\
		$(RHIDESRC)/tvision/include/views.h
puzzle.o:: $(DEPS_5)
	$(RHIDE_COMPILE.cc.o)

force::

